Skype Mac 5 and Mac Mini: "Architecture not supported"

Discussion in 'Mac Apps and Mac App Store' started by sirherbert, Feb 1, 2011.

  1. sirherbert macrumors newbie

    Joined:
    Jul 12, 2008
    #1
    Hi all!

    I just bought a used Mac Mini Intel Core 2 Duo 1,83GHz with 1G RAM with OS X 10.5.

    Now that I tried to download and install different versions of Skype for Mac (both Beta 5 and newest stable 5) it says Architecture is not supported (and has that "no parking" sign on the icon).

    This is mind-boggling as the Intel Core 2 Duo should be an architecture that is supported and because I have other Mac Minis that run Skype a-ok.

    I at first suspected this would be the fault of the new "stable" Skype 5 for Mac, but then I took a previous version working with another Mac Mini (not the same specs, though) and it didn't function either.

    Do you have an idea why this is happening? Should I reinstall the OS?
     
  2. some1uDNTknow macrumors regular

    some1uDNTknow

    Joined:
    Sep 27, 2009
    Location:
    United States
    #2
    Did you try a previous version of Skype on the same machine?
     
  3. copland007 macrumors member

    copland007

    Joined:
    Jun 29, 2007
    #3
    skype 5 is a joke anyways... here's where you can go grab the 2.8 version - http://bit.ly/fJ05Zj
     
  4. roadbloc macrumors G3

    roadbloc

    Joined:
    Aug 24, 2009
    Location:
    UK
    #4
    Don't bother with version 5, it's pure trash. Use 2.8.
     
  5. 199708 macrumors 6502

    Joined:
    Jul 5, 2008
    #5
    Just installed version 5, imo the UI is absolutely hopeless, lucky for that link im going back to 2.8 and using it till verison 5 can change back to 2.8 UI.
     

Share This Page